import '../../domain/entities/subscription_period.dart';

abstract class SubscriptionDetailsEvent {}

class LoadDetailsEvent extends SubscriptionDetailsEvent {
  final int subscriptionId;
  LoadDetailsEvent(this.subscriptionId);
}

class SelectPeriodEvent extends SubscriptionDetailsEvent {
  final SubscriptionPeriod period;
  SelectPeriodEvent(this.period);
}

class ToggleAgreementEvent extends SubscriptionDetailsEvent {
  final bool value;
  ToggleAgreementEvent(this.value);
}

class ActivateSubscriptionPressed extends SubscriptionDetailsEvent {}